Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 644558

Summary: media-video/qgifer depends on deprecated Qt4
Product: Gentoo Linux Reporter: Andreas Sturmlechner <asturm>
Component: Current packagesAssignee: ChaosEngine <andrzej.pauli>
Status: RESOLVED FIXED    
Severity: normal CC: proxy-maint
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 631788    

Description Andreas Sturmlechner gentoo-dev 2018-01-14 15:39:24 UTC
Qt4 is dead and going away. I could not find any efforts to port this to Qt5, even though forks on Github exist. If nothing happens we will have to last-rite this package.
Comment 1 ChaosEngine 2018-01-25 20:21:16 UTC
Haven't found it either and given that upstream on Sourceforge is also dead - let's make it happen: last-rite
Comment 2 Larry the Git Cow gentoo-dev 2018-01-28 01:55:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4fa70e7aaa88648d128a0dde59bbc2bda752881

commit a4fa70e7aaa88648d128a0dde59bbc2bda752881
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-01-28 01:53:14 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-01-28 01:54:51 +0000

    profiles: Mask media-video/qgifer for removal
    
    Bug: https://bugs.gentoo.org/644558

 profiles/package.mask | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)}
Comment 3 Larry the Git Cow gentoo-dev 2018-02-27 09:25:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=216fd1d0c5b15090dde473cbff5e1a1c9a6d055b

commit 216fd1d0c5b15090dde473cbff5e1a1c9a6d055b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-02-27 09:24:10 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-02-27 09:24:47 +0000

    profiles: Remove last-rited media-video/qgifer
    
    Closes: https://bugs.gentoo.org/644558

 media-video/qgifer/Manifest                        |   1 -
 .../qgifer/files/qgifer-0.2.1-desktop.patch        |  13 --
 .../qgifer/files/qgifer-0.2.1-giflib5.patch        | 157 ---------------------
 .../qgifer/files/qgifer-0.2.1-opencv3.patch        |  44 ------
 media-video/qgifer/metadata.xml                    |  22 ---
 media-video/qgifer/qgifer-0.2.1-r4.ebuild          |  47 ------
 media-video/qgifer/qgifer-0.2.1-r5.ebuild          |  49 -------
 profiles/package.mask                              |   5 -
 8 files changed, 338 deletions(-)